## cwm 0.0.2

=== DESCRIPTION ===
Package: cwm
Type: Package
Title: Cluster Weighted Models by EM algorithm
Version: 0.0.2
Date: 2013-03-26
Author: Giorgio A. Spedicato, Simona C. Minotti
Depends: matlab, MASS, vegan, cluster
Maintainer: <spedicato_giorgio@yahoo.it>
Description: This package estimates gaussian cluster weighted linear
        regressions by EM algorithm.
License: GPL (>= 2)
Packaged: 2013-03-28 07:07:20 UTC; Giorgio Copia
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-03-28 08:47:48

## cwm 0.0.3

=== DESCRIPTION ===
Package: cwm
Type: Package
Title: Cluster Weighted Models by EM algorithm
Version: 0.0.3
Date: 2013-03-26
Author: Giorgio Spedicato, Simona C. Minotti
Depends: R (>= 2.14), MASS
Imports: methods, stats, matlab, permute
Maintainer: Giorgio Spedicato <spedicato_giorgio@yahoo.it>
Description: This package estimates gaussian cluster weighted linear regressions by EM algorithm. 
License: GPL (>= 2)
Packaged: 2014-01-08 17:23:03 UTC; Giorgio Copia
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-01-09 07:26:17

## cwm 5.5

=== Makefile ===
# cwm makefile for BSD make and GNU make
# uses pkg-config, DESTDIR and PREFIX

PROG=		cwm

PREFIX=         /usr/local

SRCS=		calmwm.c screen.c xmalloc.c client.c menu.c \
		search.c util.c xutil.c conf.c xevents.c group.c \
		kbfunc.c mousefunc.c parse.y

OBJS=		calmwm.o screen.o xmalloc.o client.o menu.o \
		search.o util.o xutil.o conf.o xevents.o group.o \
		kbfunc.o mousefunc.o strlcpy.o strlcat.o y.tab.o \
		strtonum.o fgetln.o

CPPFLAGS+=	`pkg-config --cflags fontconfig x11 xft xinerama xrandr`

CFLAGS=		-Wall -O2 -g -D_GNU_SOURCE

LDFLAGS+=	`pkg-config --libs fontconfig x11 xft xinerama xrandr`

MANPREFIX=	${PREFIX}/share/man

all: ${PROG}

clean:
	rm -f ${OBJS} ${PROG} y.tab.c

y.tab.c: parse.y
	yacc parse.y

${PROG}: ${OBJS} y.tab.o
	${CC} ${OBJS} ${LDFLAGS} -o ${PROG}

.c.o:
	${CC} -c ${CFLAGS} ${CPPFLAGS} $<

install: ${PROG}
	install -d ${DESTDIR}${PREFIX}/bin ${DESTDIR}${MANPREFIX}/man1 ${DESTDIR}${MANPREFIX}/man5
	install -m 755 cwm ${DESTDIR}${PREFIX}/bin
	install -m 644 cwm.1 ${DESTDIR}${MANPREFIX}/man1
	install -m 644 cwmrc.5 ${DESTDIR}${MANPREFIX}/man5

release:
	VERSION=$$(git describe --tags | sed 's/^v//;s/-[^.]*$$//') && \
	git archive --prefix=cwm-$$VERSION/ -o cwm-$$VERSION.tar.gz HEAD

=== debian/changelog ===
cwm (5.5-1) unstable; urgency=low

  * Initial release (Closes: #505924)

 -- James McDonald <james@jamesmcdonald.com>  Tue, 29 Apr 2014 13:50:09 +0200

=== debian/control ===
Source: cwm
Section: x11
Priority: optional
Maintainer: James McDonald <james@jamesmcdonald.com>
Build-Depends: bison,
               debhelper (>= 9),
               libx11-dev,
               libxft-dev,
               libxinerama-dev,
               libxrandr-dev,
               pkg-config
Standards-Version: 3.9.5
Homepage: https://github.com/chneukirchen/cwm

Package: cwm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xscreensaver
Provides: x-window-manager
Description: lightweight and efficient window manager for X11
 cwm is a minimalist stacking window manager ported from OpenBSD.
 Originally inspired by evilwm, it was rewritten from scratch due
 to limitations in the evilwm codebase.
 .
 cwm contains many features that concentrate on the efficiency and
 transparency of window management. cwm also aims to maintain the simplest
 and most pleasant aesthetic. It provides minimal decoration and screen
 clutter, instead having powerful controls to manage windows, launch
 programs etc. via key and mouse bindings. A "virtual desktop" can be
 simulated by the ability to group windows, and to show and hide these
 groups.
 .
 cwm is very configurable via a simple, clearly documented .cwmrc file.
 .
 If you are looking for simple menus and pretty icons, cwm is probably
 not going to be your cup of tea. If you don't mind a little learning
 curve and want something powerful and flexible, try it out.

## cwm 5.6

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 PROG=		cwm
 
-PREFIX=         /usr/local
+PREFIX?=	/usr/local
 
 SRCS=		calmwm.c screen.c xmalloc.c client.c menu.c \
 		search.c util.c xutil.c conf.c xevents.c group.c \
@@ -16,11 +16,11 @@
 
 CPPFLAGS+=	`pkg-config --cflags fontconfig x11 xft xinerama xrandr`
 
-CFLAGS=		-Wall -O2 -g -D_GNU_SOURCE
+CFLAGS?=	-Wall -O2 -g -D_GNU_SOURCE
 
 LDFLAGS+=	`pkg-config --libs fontconfig x11 xft xinerama xrandr`
 
-MANPREFIX=	${PREFIX}/share/man
+MANPREFIX?=	${PREFIX}/share/man
 
 all: ${PROG}
 
@@ -45,3 +45,9 @@
 release:
 	VERSION=$$(git describe --tags | sed 's/^v//;s/-[^.]*$$//') && \
 	git archive --prefix=cwm-$$VERSION/ -o cwm-$$VERSION.tar.gz HEAD
+
+sign:
+	VERSION=$$(git describe --tags | sed 's/^v//;s/-[^.]*$$//') && \
+	gpg --armor --detach-sign cwm-$$VERSION.tar.gz && \
+	signify -S -s ~/.signify/cwm.sec -m cwm-$$VERSION.tar.gz && \
+	sed -i '1cuntrusted comment: verify with cwm.pub' cwm-$$VERSION.tar.gz.sig

=== debian/changelog ===
cwm (5.6-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:20 +0000

cwm (5.6-4) unstable; urgency=low

  * Migrated to unstable

 -- James McDonald <james@jamesmcdonald.com>  Tue, 28 Apr 2015 09:31:29 +0200

cwm (5.6-3) experimental; urgency=low

  * Fixed lookup from the 'exec' and 'wm' dialogs for filesystems such
    as XFS which don't populate the d_type of struct dirent

 -- James McDonald <james@jamesmcdonald.com>  Mon, 20 Apr 2015 15:38:05 +0200

cwm (5.6-2) experimental; urgency=low

  * Added patch to avoid using HOST_NAME_MAX which allows building on
    kFreeBSD (Closes: #782418)

 -- James McDonald <james@jamesmcdonald.com>  Sat, 18 Apr 2015 12:17:39 +0200

cwm (5.6-1) experimental; urgency=low

  * Updated packaging for 5.6
  * Updated standards version to 3.9.6 (no changes needed)
  * Removed typo patch for source typo removed upstream
  * Updated openbsd-cwm.desktop to remove Encoding and add Keywords

 -- James McDonald <james@jamesmcdonald.com>  Sat, 11 Apr 2015 12:07:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cwm
 Section: x11
 Priority: optional
-Maintainer: James McDonald <james@jamesmcdonald.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McDonald <james@jamesmcdonald.com>
 Build-Depends: bison,
                debhelper (>= 9),
                libx11-dev,
@@ -9,7 +10,7 @@
                libxinerama-dev,
                libxrandr-dev,
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/chneukirchen/cwm
 
 Package: cwm

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_build:
	sed -ne '/^\[0\]/d' -e '/^ChangeLog:/,$$p' README > changelog
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## cwm 6.3

=== Makefile ===
--- 
+++ 
@@ -7,18 +7,18 @@
 
 SRCS=		calmwm.c screen.c xmalloc.c client.c menu.c \
 		search.c util.c xutil.c conf.c xevents.c group.c \
-		kbfunc.c mousefunc.c parse.y
+		kbfunc.c parse.y
 
 OBJS=		calmwm.o screen.o xmalloc.o client.o menu.o \
 		search.o util.o xutil.o conf.o xevents.o group.o \
-		kbfunc.o mousefunc.o strlcpy.o strlcat.o y.tab.o \
-		strtonum.o fgetln.o
+		kbfunc.o strlcpy.o strlcat.o y.tab.o \
+		strtonum.o reallocarray.o
 
-CPPFLAGS+=	`pkg-config --cflags fontconfig x11 xft xinerama xrandr`
+CPPFLAGS+=	`pkg-config --cflags x11 xft xrandr`
 
 CFLAGS?=	-Wall -O2 -g -D_GNU_SOURCE
 
-LDFLAGS+=	`pkg-config --libs fontconfig x11 xft xinerama xrandr`
+LDFLAGS+=	`pkg-config --libs x11 xft xrandr`
 
 MANPREFIX?=	${PREFIX}/share/man

=== debian/changelog ===
cwm (6.3-1) unstable; urgency=low

  * Import upstream 6.3 sources (Closes: #913992)
  * Update Debian patches to track 6.3 changes
  * Update standards version to 4.2.1
  * Update debhelper compat to 11
  * Enable hardening build flags in debian/rules
  * Update debian/copyright for changes in files
  * Added migrate-config.pl script to doc/examples, which can be used to
    convert config from cwm 5.x to the new format
  * Update README.Debian with information about migrate-config.pl

 -- James McDonald <james@jamesmcdonald.com>  Mon, 19 Nov 2018 18:18:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: cwm
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McDonald <james@jamesmcdonald.com>
+Maintainer: James McDonald <james@jamesmcdonald.com>
 Build-Depends: bison,
-               debhelper (>= 9),
+               debhelper (>= 11),
                libx11-dev,
                libxft-dev,
                libxinerama-dev,
                libxrandr-dev,
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Homepage: https://github.com/chneukirchen/cwm
 
 Package: cwm

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_build:
 	sed -ne '/^\[0\]/d' -e '/^ChangeLog:/,$$p' README > changelog

## cwm 6.6

=== Makefile ===
--- 
+++ 
@@ -48,6 +48,6 @@
 
 sign:
 	VERSION=$$(git describe --tags | sed 's/^v//;s/-[^.]*$$//') && \
-	gpg --armor --detach-sign cwm-$$VERSION.tar.gz && \
+	gpg2 --armor --detach-sign cwm-$$VERSION.tar.gz && \
 	signify -S -s ~/.signify/cwm.sec -m cwm-$$VERSION.tar.gz && \
 	sed -i '1cuntrusted comment: verify with cwm.pub' cwm-$$VERSION.tar.gz.sig

=== debian/changelog ===
cwm (6.6-2) unstable; urgency=medium

  * Allow override of pkg-config location to support cross-platform
    builds (Closes: #960512)
  * Add VCS fields to debian/control
  * Update standards version to 4.5.0
  * Update debhelper compat to 13

 -- James McDonald <james@jamesmcdonald.com>  Sun, 14 Jun 2020 12:28:19 +0200

cwm (6.6-1) unstable; urgency=medium

  * Import upstream 6.6 sources
  * Update Debian patches to track 6.6 changes
  * Update metadata to reflect new upstream locations

 -- James McDonald <james@jamesmcdonald.com>  Mon, 11 May 2020 08:02:16 +0200

cwm (6.3-2) unstable; urgency=low

  * Update standards version to 4.4.1
  * Update debhelper compat to 12

 -- James McDonald <james@jamesmcdonald.com>  Wed, 06 Nov 2019 13:07:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: James McDonald <james@jamesmcdonald.com>
 Build-Depends: bison,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                libx11-dev,
                libxft-dev,
                libxinerama-dev,
                libxrandr-dev,
                pkg-config
-Standards-Version: 4.2.1
-Homepage: https://github.com/chneukirchen/cwm
+Standards-Version: 4.5.0
+Vcs-git: https://github.com/jamesmcdonald/cwm.git
+Vcs-Browser: https://github.com/jamesmcdonald/cwm
+Rules-Requires-Root: no
+Homepage: https://github.com/leahneukirchen/cwm
 
 Package: cwm
 Architecture: any

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://leahneukirchen.org/releases/cwm-(.+).tar.gz

## cwm 7.1

=== Makefile ===
--- 
+++ 
@@ -11,26 +11,25 @@
 
 OBJS=		calmwm.o screen.o xmalloc.o client.o menu.o \
 		search.o util.o xutil.o conf.o xevents.o group.o \
-		kbfunc.o strlcpy.o strlcat.o y.tab.o \
+		kbfunc.o strlcpy.o strlcat.o parse.o \
 		strtonum.o reallocarray.o
+		
+PKG_CONFIG?=	pkg-config
 
-CPPFLAGS+=	`pkg-config --cflags x11 xft xrandr`
+CPPFLAGS+=	`${PKG_CONFIG} --cflags x11 xft xrandr`
 
 CFLAGS?=	-Wall -O2 -g -D_GNU_SOURCE
 
-LDFLAGS+=	`pkg-config --libs x11 xft xrandr`
+LDFLAGS+=	`${PKG_CONFIG} --libs x11 xft xrandr`
 
 MANPREFIX?=	${PREFIX}/share/man
 
 all: ${PROG}
 
 clean:
-	rm -f ${OBJS} ${PROG} y.tab.c
+	rm -f ${OBJS} ${PROG} parse.c
 
-y.tab.c: parse.y
-	yacc parse.y
-
-${PROG}: ${OBJS} y.tab.o
+${PROG}: ${OBJS}
 	${CC} ${OBJS} ${LDFLAGS} -o ${PROG}
 
 .c.o:
@@ -51,3 +50,5 @@
 	gpg2 --armor --detach-sign cwm-$$VERSION.tar.gz && \
 	signify -S -s ~/.signify/cwm.sec -m cwm-$$VERSION.tar.gz && \
 	sed -i '1cuntrusted comment: verify with cwm.pub' cwm-$$VERSION.tar.gz.sig
+
+.PRECIOUS: parse.c

=== debian/changelog ===
cwm (7.1-1) unstable; urgency=medium

  * Import upstream 7.1 sources
  * Update packaging for 7.1
  * Update standards version to 4.6.1.0
  * Undo renaming of cwm to openbsd-cwm - the binary and manual page are now
    called just 'cwm' (Closes: #803737)
  * Add compatibility symlinks from openbsd-cwm to cwm to avoid breaking
    existing installations

 -- James McDonald <james@jamesmcdonald.com>  Mon, 18 Jul 2022 17:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                libxinerama-dev,
                libxrandr-dev,
                pkg-config
-Standards-Version: 4.5.0
-Vcs-git: https://github.com/jamesmcdonald/cwm.git
+Standards-Version: 4.6.1.0
+Vcs-Git: https://github.com/jamesmcdonald/cwm.git
 Vcs-Browser: https://github.com/jamesmcdonald/cwm
 Rules-Requires-Root: no
 Homepage: https://github.com/leahneukirchen/cwm

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://leahneukirchen.org/releases/cwm-(.+).tar.gz

## cwm cli-0.1.0

=== requirements.txt ===
prompt_toolkit
rich
click
colorama
pyperclip
